Bug 474677 - openmpi : Unowned directories
openmpi : Unowned directories
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openmpi (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 15:25 EST by Michael Schwendt
Modified: 2010-02-19 19:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-19 19:05:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-12-04 15:25:26 EST
One or more directories are not included within this
package and/or its sub-packages:

=> openmpi-1.2.4-2.fc9.i386 (rawhide-development-i386)
/usr/share/openmpi

=> openmpi-devel-1.2.4-2.fc9.i386 (rawhide-development-i386)
/usr/share/openmpi
/usr/share/openmpi/1.2.4-gcc
    provided by: openmpi-1.2.4-2.fc9.i386
/usr/share/openmpi/1.2.4-gcc/man
    provided by: openmpi-1.2.4-2.fc9.i386
/usr/include/openmpi
/usr/lib/openmpi
/usr/share/openmpi/1.2.4-gcc/help32
    provided by: openmpi-1.2.4-2.fc9.i386
/usr/share/openmpi/1.2.4-gcc/help32/openmpi
    provided by: openmpi-1.2.4-2.fc9.i386

=> openmpi-libs-1.2.4-2.fc9.i386 (rawhide-development-i386)
/usr/lib/openmpi

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories
Comment 1 Doug Ledford 2009-03-19 15:12:48 EDT
Jay is helping out with Open MPI issues, so added him to the Cc list.
Comment 2 Susi Lehtola 2009-05-15 15:32:37 EDT
ping, what's the status with this one?
Comment 3 Bug Zapper 2009-06-09 06:07:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Doug Ledford 2009-07-21 11:14:01 EDT
This is fixed in openmpi-1.3.3-1
Comment 5 Fedora Update System 2009-07-21 11:51:43 EDT
openmpi-1.3.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openmpi-1.3.3-1.fc11
Comment 6 Fedora Update System 2009-07-23 15:05:49 EDT
openmpi-1.3.3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openmpi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7951
Comment 7 Alex Lancaster 2009-11-12 15:50:28 EST
Unfortunately the new maintainer omitted adding this bug to a new update to supercede the one above.  Please visit:

https://admin.fedoraproject.org/updates/F11/FEDORA-2009-10848

and test the version in updates-testing before it gets pushed to stable (which will happen very soon) to make sure there are no regressions.
Comment 8 Doug Ledford 2010-02-19 19:05:37 EST
This should be resolved by the current openmpi, closing.

Note You need to log in before you can comment on or make changes to this bug.